import java.util.*;

/**
 * Used to test functionality of class Automaton
 *
 */
public class Test {
	
	public static void main(String[] args) {
		Test t = new Test();
		t.testMinimize();
	}
			
	private void testMinimize() {
		Automaton a = new Automaton();
		
		a.readGrammar("grammar1.txt");
		a.init();
		System.out.println("*** Test 1 ***");
		System.out.println("--- Original automaton:");
		System.out.print(a);
		a.minimize();
		System.out.println("--- Minimal automaton:");
		System.out.print(a);
		
		a.readGrammar("grammar2.txt");
		a.init();
		System.out.println("*** Test 2 ***");
		System.out.println("--- Original automaton:");
		System.out.print(a);
		a.minimize();
		System.out.println("--- Minimal automaton:");
		System.out.print(a);
		
		a.readGrammar("grammar3.txt"); // Automat aus Aufgabe 11b
		a.init();
		System.out.println("*** Test 3 ***");
		System.out.println("--- Original automaton:");
		System.out.print(a);
		a.minimize();
		System.out.println("--- Minimal automaton:");
		System.out.print(a);	
	}
}
